Opened 4 years ago

Closed 4 years ago

#4071 closed task (fixed)

bc-1.07

Reported by: Armin Owned by: lfs-book@…
Priority: normal Milestone: 8.1
Component: Book Version: SVN
Severity: normal Keywords:
Cc:

Description

Change History (6)

comment:1 by bdubbs@…, 4 years ago

Thanks. Interesting set of date stamps:

bc-1.03.tar.gz	1994-11-21 03:00 	123K	 
bc-1.04.tar.gz	1997-04-28 03:00 	212K	 
bc-1.05a.tar.gz	1998-06-10 03:00 	218K	 
bc-1.06.tar.gz	2000-11-15 23:21 	272K	 
bc-1.07.tar.gz	2017-04-02 02:14 	409K

comment:2 by bdubbs@…, 4 years ago

Changes in bc from 1.06 to 1.07.

  • Added void functions.
  • Bug fixes:
    • fixes bug in load_code introduced by mathlib string storage in 1.06.
    • fix to get long options working.
    • signal code clean-up.
    • fixed a bug in the AVL tree routines.
    • fixed math library to work properly when called with ibase not 10.
    • fixed a symbol table bug when using more than 32 names.
    • removed a double free.

comment:3 by bdubbs@…, 4 years ago

What a PITA. It uses the ancient ed editor in a script. I can convert it to sed, but it's something that I shouldn't need to do.

comment:4 by Douglas R. Reno, 4 years ago

ed is part of the LSB and part of most if not all distros, so they probably expect it to be there regardless.

comment:5 by bdubbs@…, 4 years ago

Yes, but I'm not going to add it to LFS unless we really have to. And we don't.

comment:6 by bdubbs@…, 4 years ago

Resolution: fixed
Status: newclosed

Fixed at revision 11217, 11218, 11219.

Note: See TracTickets for help on using tickets.